<?php

//删除目录
function deldir($dir, $keep = false) {
  if (!file_exists($dir)) return;
  if ($fp = @opendir($dir)) {
    while (false !== ($file = @readdir($fp))) {
      if ($file != '.' && $file != '..') {
        if (is_dir($dir.'/'.$file)) {
          deldir($dir.'/'.$file);
        } else {
          @unlink($dir.'/'.$file);
        }
      }
    }
    if (readdir($fp) == false) {
      @closedir($fp);
      if ($keep == false) {
        @rmdir($dir);
      }
      return true;
    }
  }
}

?>